Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.plugin.binqueue
Class BinQueue

    java.lang.Object
      mauda.plugin.fibheap.FibHeap
          mauda.plugin.fibheap.FibHeapExt
              mauda.plugin.binqueue.BinQueue

All Implemented Interfaces:
  Copyable, FibHeapOperations, FibHeapSubOperations, JedasMainCompObj

    public class BinQueue

extends FibHeapExt

Title: Binomial Queue

Description: A binomial queue can be viewed as a special case of Fibonacci Heaps where, after each operation, the rootlist ist consolidated.

Copyright: Copyright (c) 2003

Company: University of Freiburg -- Institute of Computer Science

Version:
  3.2.5
Author:
  Tobias Lauer

Field Summary

Fields inherited from class mauda.plugin.fibheap.FibHeapExt
`nodes`

Fields inherited from class mauda.plugin.fibheap.FibHeap
`DETAIL, MORE, NONE, NORMAL, subOperations`

Constructor Summary
`BinQueue()`

Method Summary
`void` | `decreasekey(FibNode FibNode, int k)` Decreases the key of the specified node to the specified value.
`int` | `delete(FibNode node)` Deletes the specified node from this Fibonacci heap.
`int` | `deletemin()` Deletes the node with minimum key in this Fibonacci heap.
`FibNode` | `findmin()`
`FibNode` | `insert(int k)` Inserts a new node to this Fibonacci heap.

Methods inherited from class mauda.plugin.fibheap.FibHeapExt
`copy, copyDS, cutOp, decreasekeyOp, deleteminOp, deleteOp, getAllNodes, insertOp, linkOp, markOp, newFHeapMeldOp, removeOp, setKeyOp, unmarkOp, updateMinOp`

Methods inherited from class mauda.plugin.fibheap.FibHeap
`accessmin, add, clearSubOperationQueue, deepCopy, getCount, getHeapSize, getKeyColorMode, getMainCompObj, getSubOperationQueue, isEmpty, maxRank, meld, resetCount, setKeyColorMode, setTextMode, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface mauda.plugin.fibheap.FibHeapSubOperations
`clearSubOperationQueue, getSubOperationQueue`

Constructor Detail

### BinQueue

    public BinQueue()

Method Detail

### insert

    public FibNode insert(int k)

  Description copied from class: `FibHeap`
  Inserts a new node to this Fibonacci heap. Creates a new `FibNode` with given key and inserts in rootlist right of the `min` node.

  Overrides:
    `insert` in class `FibHeap`
  Parameters:
    `k` - key of new FibNode
  Returns:
    new FibNode with key k

### findmin

    public FibNode findmin()

### deletemin

    public int deletemin()

  Description copied from class: `FibHeap`
  Deletes the node with minimum key in this Fibonacci heap. Then consolidates rootlist to restore heap.

  Overrides:
    `deletemin` in class `FibHeap`
  Returns:
    minimum key

### delete

    public int delete(FibNode node)

  Description copied from class: `FibHeap`
  Deletes the specified node from this Fibonacci heap. If the node is the min node, the `deletemin` method will be carried out.

  Overrides:
    `delete` in class `FibHeap`
  Parameters:
    `node` - node to be deleted
  Returns:
    key of the deleted node

### decreasekey

    public void decreasekey(FibNode FibNode,
                            int k)

  Description copied from class: `FibHeap`
  Decreases the key of the specified node to the specified value. If necessary (to restore heap), cuts the node off its parent and inserts into rootlist. In this case, the parent will then be marked, or, if marked already, also cut off, and so on.

  Overrides:
    `decreasekey` in class `FibHeap`
  Parameters:
    `FibNode` - node whose key is to be decreased
    `k` - new key value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD